Loading...
Searching...
No Matches
FtpClientDataProvider::FtpClientStatDataProvider Class Reference

The FTP client stat data provider class. More...

`#include <FtpClientStatDataProvider.qc.dox.h>`

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (FtpClient ftp)
| Creates the object from an FTP connection.
string | getName ()
| Returns the data provider name.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Static Public Member Functions

static hash< auto > | doStat (FtpClient ftp, string path, *bool assume_known)
| Performs a "stat"-like action on a remote file.
static date | getModifiedTime (FtpClient ftp, string path)
| Returns the modified time for a remote file, if possible.

## Public Attributes

FtpClient | ftp
| FTP connection.
const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.
const | RequestType = FtpClientPathDataType
| Request type.
const | ResponseType = new FtpClientStatResponseDataType()
| Response type.

## Protected Member Functions

auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.

## Detailed Description

The FTP client stat data provider class.

## Member Function Documentation

## doRequestImpl()

auto FtpClientDataProvider::FtpClientStatDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options )

protected

Makes a request and returns the response.

Parameters

  req | the request info
  request_options | the request options; will be processed by validateRequestOptions()

Returns
  the response to the request

Exceptions

  STAT-ERROR | if the path cannot be read

## getRequestTypeImpl()

*AbstractDataProviderType FtpClientDataProvider::FtpClientStatDataProvider::getRequestTypeImpl | ( |  | ) |

protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## getResponseTypeImpl()

*AbstractDataProviderType FtpClientDataProvider::FtpClientStatDataProvider::getResponseTypeImpl | ( |  | ) |

protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message